package gameelement

import (
	"mover/gamedata"

	"github.com/hajimehoshi/ebiten/v2"
)

type GameElement interface {
	SetInputs(gamedata.GameInputs)
	Update() error
	Draw(drawimg *ebiten.Image)
	Initialize()
	RegisterEvents(e gamedata.GameEvent, f func())
}
